Update a webhook

View as Markdown
Update a webhook destination, event subscriptions, label, or enabled state.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

webhookIdstringRequired
Unique webhook identifier generated by BCTRL.

Headers

BCTRL-Subaccount-IdstringOptional
Optional effective subaccount context for organization API keys. Subaccount API keys are already scoped and cannot use this header to act as another subaccount.

Request

This endpoint expects an object.
enabledbooleanOptional
eventslist of enumsOptional
namestring or nullOptional1-80 characters
urlstringOptionalformat: "uri"<=2048 characters

Response

OK
createdAtdatetime
RFC 3339 timestamp with a UTC offset.
enabledboolean
eventslist of enums
idstring
Unique webhook identifier generated by BCTRL.
namestring or null1-80 characters
subaccountIdstring or null
updatedAtdatetime
RFC 3339 timestamp with a UTC offset.
urlstringformat: "uri"<=2048 characters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error